about summary refs log tree commit diff
path: root/nixos/modules/installer
diff options
context:
space:
mode:
authorBen Wolsieffer <benwolsieffer@gmail.com>2022-03-18 12:19:02 -0400
committerBen Wolsieffer <benwolsieffer@gmail.com>2022-03-18 12:19:02 -0400
commit1ee3d9477ba01dbc3545de8cb321005dd1c7b37f (patch)
treee5aceec914d45bccd469c329c4f98162190f04f2 /nixos/modules/installer
parentac0522d62a764373e18f1d808a4176fd963dbf06 (diff)
downloadnixlib-1ee3d9477ba01dbc3545de8cb321005dd1c7b37f.tar
nixlib-1ee3d9477ba01dbc3545de8cb321005dd1c7b37f.tar.gz
nixlib-1ee3d9477ba01dbc3545de8cb321005dd1c7b37f.tar.bz2
nixlib-1ee3d9477ba01dbc3545de8cb321005dd1c7b37f.tar.lz
nixlib-1ee3d9477ba01dbc3545de8cb321005dd1c7b37f.tar.xz
nixlib-1ee3d9477ba01dbc3545de8cb321005dd1c7b37f.tar.zst
nixlib-1ee3d9477ba01dbc3545de8cb321005dd1c7b37f.zip
nixos/nixos-enter: fix resolv.conf error handling
Diffstat (limited to 'nixos/modules/installer')
-rw-r--r--nixos/modules/installer/tools/nixos-enter.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/nixos/modules/installer/tools/nixos-enter.sh b/nixos/modules/installer/tools/nixos-enter.sh
index 115b3d7a7c5e..d69b50a8e279 100644
--- a/nixos/modules/installer/tools/nixos-enter.sh
+++ b/nixos/modules/installer/tools/nixos-enter.sh
@@ -88,7 +88,7 @@ chroot_add_resolv_conf() {
     mount --bind /etc/resolv.conf "$resolv_conf"
 }
 
-chroot_add_resolv_conf "$mountPoint" || print "ERROR: failed to set up resolv.conf"
+chroot_add_resolv_conf "$mountPoint" || echo "$0: failed to set up resolv.conf" >&2
 
 (
     # If silent, write both stdout and stderr of activation script to /dev/null